<?php
/**
*
* @package phpBB3
* @version $Id: topiclist.php 1.0.1 2010-01-14 19:47:22Z FladeX $
* @copyright (c) 2009 FladeX
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/topiclist');

page_header($user->lang['TOPICLIST_TITLE']);

$topiclist_files_exist = 0;
$sql = 'SELECT forum_id
	FROM ' . FORUMS_TABLE . '';
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	if (file_exists('topiclist/' . $row['forum_id'] . '.html'))
	{
		$template->assign_block_vars('topiclist_row', array(
			'TOPICS'	=> file_get_contents('topiclist/' . $row['forum_id'] . '.html'),
		));
		$topiclist_files_exist = 1;
	}
}
$db->sql_freeresult($result);

$template->assign_vars(array(
	'TOPICLIST'			=> $topiclist,
	'TOPICLIST_FILES'	=> $topiclist_files_exist,
));
$template->set_filenames(array(
	'body' => 'topiclist_body.html',
));

page_footer();
?>